<!--PAGE AFFICHAGE DETAIL DE L'EQUIPE-->
<div class="container">
    <app-parrainage></app-parrainage>
    <div>
        <!--Partie qui affiche le titre-->
            <div class="card titre d-flex justify-content-center p-4 mb-5">
                <div class="d-flex align-items-center">
                    <div class="card logo d-flex">
                        <img class="imageClub" src="{{getEquipeLogo(equipeJoueurs)}}">
                    </div>
                    <div class="NomEquipe d-flex justify-content-center align-items-center flex-grow-1">
                            <h1>{{equipeJoueurs.nomLong | uppercase}}</h1>
                    </div>
                </div>
            </div>
        <!--Partie qui affiche les données-->
        <div class="row justify-content-center">
            <!-- Première colonne -->
            <div class="col-5 darkgrey mb-5 rounded">
                <!--Titre de la colonne-->
                <div class="card titreTableau bg-primary text-white text-center font-weight-bold mb-1" >
                    <h3>JOUEURS</h3>
                    <div class="card donneesTableau rounded-top-0">
                        <div class="row">
                            <div class="col-4 polLightGrey">
                                <p class="text-lightgrey">Nom</p>
                            </div>
                            <div class="col-4">
                                <p class="text-lightgrey">Prénom</p>
                            </div>
                            <div class="col-2">
                                <p class="text-lightgrey">Buts</p>
                            </div>
                            <div class="col-2">
                                <p class="text-lightgrey">Passes D</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- liste des joueurs de l'équipe -->
                <div class="card cardHover cardDonneeJoueur mb-1" *ngFor="let joueur of equipeJoueurs.joueurs" (click)="goToJoueur(joueur)">
                    <div class="card-body text-center p-2">
                      <div class="row">
                        <div class="col-4">
                          <p class="text-bolder">{{joueur.nom | uppercase}}</p>
                        </div>
                        <div class="col-4">
                          <p class="text-bolder">{{joueur.prenom}}</p>
                        </div>
                        <div class="col-2">
                          <p class="text-bolder">{{joueur.nbButs}} </p>
                        </div>
                        <div class="col-2">
                          <p class="text-bolder">{{joueur.nbPasseD}}</p>
                        </div>
                      </div>
                    </div>
                  </div>
            </div>
            <!-- Colonne du milieu -->
            <div class="col-1">
            </div>
            <!-- Colonne de gauche -->
            <div class="col-5 darkgrey justify-content-center align-items-center mb-5 rounded">
                <!--Titre de la colonne-->
                <div class="card titreTableau bg-primary text-white text-center font-weight-bold mb-1" >
                    <h3>RESULTATS</h3>
                    <div class="card donneesTableau rounded-top-0">
                        <div class="row justify-content-center align-items-center">
                            <div class="col-4 polLightGrey">
                                <p class="text-lightgrey">Domicile</p>
                            </div>
                            <div class="col-4">
                                <p class="text-lightgrey">date</p>
                                <p class="text-lightgrey">Résultat</p>
                            </div>
                            <div class="col-4">
                                <p class="text-lightgrey">Extérieur</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Données de la colonne-->
                <!-- Matchs à venir avec l'option de parier-->
                <div class="card cardHover mb-1 " *ngFor="let match of matchListe">
                        <div class="card-body text-center p-2">
                            <div class="row">
                                <div class="col-4 cardEquipe d-flex align-items-center" (click)="goToEquipeDomicile(match)">
                                    <img class="imageDuClub" src="{{getLogoDomicile(match)}}">
                                    <h2 class="text-bolder justify-content-center">{{match.eqDomicile.nomCourt}}</h2>
                                </div>
                                <div class="col justify-content-center align-items-center">
                                    <p class="text-bolder ">{{match.date}}</p>
                                </div>
                                <div class="col-4 cardEquipe d-flex align-items-center" (click)="goToEquipeExterieur(match)">
                                    <h2 class="text-bolder">{{match.eqExterieur.nomCourt}}</h2>
                                    <img class="imageClubExterieur" src="{{getLogoExterieur(match)}}">
                                </div>
                            </div>

                    </div>
                    <div>
                        <div class="card cardHoverPari bg-success text-white border-0 rounded-top-0 text-bolder justify-content-center align-items-center "
                        (click)="goToThisPari(match)">
                            
                            <a class="">Pariez sur ce match !</a>
                        </div>
                    </div>
                </div>

                <!-- Matchs passés -->
                <div class="card cardHover mb-1" *ngFor="let matchs of matchPasses" (click)="goToEquipeDomicile(matchs)">
                    <div *ngIf="matchs.eqDomicile.nomCourt === equipeJoueurs.nomCourt || matchs.eqExterieur.nomCourt === equipeJoueurs.nomCourt">
                        <div class="card-body text-center p-2">
                            <div class="row">
                                <div class="col-4 cardEquipe d-flex align-items-center" >
                                    <img class="imageDuClub" src="{{getLogoDomicile(matchs)}}">
                                    <H2 class="text-bolder justify-content-center">{{matchs.eqDomicile.nomCourt}}</H2>
                                </div>
                                <div class="col">
                                    <p class="text-bolder">{{matchs.date}}</p>
                                    <h2 class="text-bolder">{{matchs.scoreDomicile}} - {{matchs.scoreExterieur}}</h2>
                                </div>
                                <div class="col-4 cardEquipe d-flex align-items-center" (click)="goToEquipeExterieur(match)">
                                    <h2 class="text-bolder">{{matchs.eqExterieur.nomCourt}}</h2>
                                    <img class="imageClubExterieur" src="{{getLogoExterieur(matchs)}}">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div><!--fin de la 3ieme colonne-->
        </div><!--fin de la div qui affiche les données-->
    </div>
</div>

